BI2CF(6)

Name
bi2cf - a map conversion tool for Crimson Fields

Synopsis

bi2cf mapname [-p 1|2] [-f b|1|2|h] [-l] [-t mapname] [-i mapinfo] [-o outfile] [-d mapdir] [-O destdir] [-q]

bi2cf {-h | -v}

Description

bi2cf is a map conversion tool for Crimson Fields. It takes the data files of maps from Battle Isle, Battle Isle Data Disk 1 or 2, or History Line 1914-1918 and converts them into map sources usable with the cfed(6) map compiler for Crimson Fields. bi2cf can handle both uncompressed maps and levels crunched with TPWM.

For some units and tiles there are no corresponding counterparts in Crimson Fields. These cases are mapped to similar ones if available. As a result some maps will not be as balanced as the originals, others may be unwinnable, and still others may even fail to compile. If this happens the map in question needs to be adjusted manually.

Options

-d mapdir
    Set the location of the Battle Isle map files.

-f b|1|2|h
    Force map type to Battle Isle / BI Data Disk 1 / BI Data Disk 2 / History Line, respectively. Use this option when map format autodetection does not work correctly. Maps from BI Data Disk 1 will always be detected as standard Battle Isle maps, so you have to use -f 1 in that case.

-h
    Print a usage message on standard output and exit.

-i mapinfo
    Set map info message.

-l
    Skip last row and column of the map. This is necessary for maps from the PC version of Battle Isle.

-o outfile
    Write map to file outfile. Default file name is mapname.src.

-O destdir
    Set target directory for the converted map. This setting is ignored if a map name was given using the -t option.

-p 1|2
    Set default number of players for this map.

-q
    Run quietly. Don't print processing information on standard output.

-t mapname
    Set title and file name for the converted map. Default is maptype-mapname.

-v
    Print version information on standard output and exit.

See Also

cfed(6), crimson(6)

Copyright

Copyright © 2002 Florian Dietrich

This software is distributed under the terms of the GNU General Public License[1] (GPL).

Author

Florian Dietrich <n8flo@yahoo.de>
    Author.

Notes

1.  GNU General Public License
    http://www.gnu.org/copyleft/gpl.html